// Arquivo de exemplo: RegexResult.cs
// Para compilar utilize: csc RegexResult.cs
using System;
using System.Text.RegularExpressions;

public class Result1 {
	public static void Main() {
		string msg="C# (lê-se C Sharp) é uma linguagem " +
		"de programação <b>simples</b>, mas poderosa e ao " +
		"mesmo tempo ideal para asprs@bol.com.br <i>desenvolver</i> aplicações " +
		"web com ASP.NET.";

		Regex reg = new Regex(@"<(.*)>.*<\/\1>");
		Match a = reg.Match(msg);
					
		while(a.Success) {
			Console.WriteLine(a.Result("$0"));
			a = a.NextMatch();				
		}
		Console.Read();		
	}
}
